Subject: Re: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-15.txt

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 10 Jan 2022 16:09:43 +0000

Russ

I managed to get in touch with all of the authors of RFC 4210 and they granted BCP78 rights to the IETF Trust.
Many thanks to Carlisle, Stephen, Tomi, and Tero for granting theses rights.

I will remove the pre-RFC5378 work disclaimer with the next update.

Hendrik

> Von: Russ Housley <[email-masked]>
> Gesendet: Freitag, 17. Dezember 2021 17:52
> 
> I just looked at the IDnits output for this document.  Authors, please look at
> this warning:
> 
>   -- The document seems to lack a disclaimer for pre-RFC5378 work, but may
>      have content which was first submitted before 10 November 2008.  If you
>      have contacted all the original authors and they are all willing to grant
>      the BCP78 rights to the IETF Trust, then this is fine, and you can ignore
>      this comment.  If not, you may need to add the pre-RFC5378 disclaimer.
>      (See the Legal Provisions document at
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftruste
> e.ietf.org%2Flicense-
> info&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e11f
> 5238d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> %7C0%7C637753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> mp;sdata=M1P8BvBYLqcPEfKBjqnhMbblFQBhIA%2FhX0GUHAuWL8U%3D&am
> p;reserved=0 for more information.) Russ
> 
> > On Dec 17, 2021, at 11:00 AM, Brockhaus, Hendrik
> <[email-masked]> wrote:
> >
> > This update is supposed to handle all comments revived during WG last
> call.
> >
> >   From version 14 -> 15:
> >   *  Updated Section 2.16 clarifying the usage of CRLSource (see thread
> >      "CRL update retrieval - WG Last Call for draft-ietf-lamps-cmp-
> >      updates-14 and draft-ietf-lamps-lightweight-cmp-profile-08")
> >   *  Updated Section 2.22 adding further references regarding random
> >      number generation (see thread "CMP draft WGLC: measuring entropy,
> >      CA certificates")
> >   *  Fixed some nits
> >
> > Hendrik
> >
> >> Von: Spasm <[email-masked]> Im Auftrag von internet-
> >> [email-masked]
> >>
> >>
> >> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> >> This draft is a work item of the Limited Additional Mechanisms for
> >> PKIX and SMIME WG of the IETF.
> >>
> >>        Title           : Certificate Management Protocol (CMP) Updates
> >>        Authors         : Hendrik Brockhaus
> >>                          David von Oheimb
> >>                          John Gray
> >> 	Filename        : draft-ietf-lamps-cmp-updates-15.txt
> >> 	Pages           : 69
> >> 	Date            : 2021-12-17
> >>
> >> Abstract:
> >>   This document contains a set of updates to the syntax and transfer of
> >>   Certificate Management Protocol (CMP) version 2.  This document
> >>   updates RFC 4210, RFC 5912, and RFC 6712.
> >>
> >>   The aspects of CMP updated in this document are using EnvelopedData
> >>   instead of EncryptedValue, clarifying the handling of p10cr messages,
> >>   improving the crypto agility, as well as adding new general message
> >>   types, extended key usages to identify certificates for use with CMP,
> >>   and '.well-known' HTTP path segments.
> >>
> >>   To properly differentiate the support of EnvelopedData instead of
> >>   EncryptedValue, the CMP version 3 is introduced in case a transaction
> >>   is supposed to use EnvelopedData.
> >>
> >>   CMP version 3 is introduced to enable signaling support of
> >>   EnvelopedData instead of EncryptedValue and signaling the use of an
> >>   explicit hash AlgorithmIdentifier in certConf messages, as far as
> >>   needed.
> >>
> >>
> >> The IETF datatracker status page for this draft is:
> >> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdat
> >> atr
> >> acker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> >>
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7
> >>
> C2739a568de7b49770fc108d9c175eed7%7C38ae3bcd95794fd4addab42e1495
> >>
> d55a%7C1%7C0%7C637753534530099485%7CUnknown%7CTWFpbGZsb3d8ey
> >>
> JWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7
> >>
> C3000&amp;sdata=0hawLk56soKd17ulZV%2Ff10rwqWEkFJZS6Dq621piHig%3D
> >> &amp;reserved=0
> >>
> >> There is also an HTML version available at:
> >>
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> >>
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e1
> 1f523
> >>
> 8d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C6
> >>
> 37753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjo
> >>
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=sDzcRkKne
> KRo
> >> 9fNuErrfI7zkgtVE%2FaHgKGM5vgEklaQ%3D&amp;reserved=0
> >> etf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> >>
> 15.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C273
> >>
> 9a568de7b49770fc108d9c175eed7%7C38ae3bcd95794fd4addab42e1495d55a
> >>
> %7C1%7C0%7C637753534530099485%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> >>
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> >>
> 00&amp;sdata=4uYUgThAUINNElt%2FqiMo8njoS%2BGGCDcn5eXWXeNvv4w
> >> %3D&amp;reserved=0
> >>
> >> A diff from the previous version is available at:
> >>
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> >>
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e1
> 1f523
> >>
> 8d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C6
> >>
> 37753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjo
> >>
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=sDzcRkKne
> KRo
> >> 9fNuErrfI7zkgtVE%2FaHgKGM5vgEklaQ%3D&amp;reserved=0
> >> etf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> >>
> 15&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C2739a568
> >>
> de7b49770fc108d9c175eed7%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> >>
> %7C0%7C637753534530099485%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> >>
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> >>
> mp;sdata=y21bkP%2FkqiOxgIAqjPWRZpco3%2FKVpcJOoqs%2FaBUJvW4%3D&
> >> amp;reserved=0
> >>
> >>
> >> Internet-Drafts are also available by rsync at
> >> rsync.ietf.org::internet-drafts
> >>
> >>
> >> _______________________________________________
> >> Spasm mailing list
> >> [email-masked]
> >>
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> >>
> .i%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Cbe1e1
> 1f523
> >>
> 8d468bcf9008d9c17d8d9c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7
> C0%7C6
> >>
> 37753567875482343%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMD
> AiLCJQIjo
> >>
> iV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=sDzcRkKne
> KRo
> >> 9fNuErrfI7zkgtVE%2FaHgKGM5vgEklaQ%3D&amp;reserved=0
> >>
> etf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> >>
> ockhaus%40siemens.com%7C2739a568de7b49770fc108d9c175eed7%7C38ae3
> >>
> bcd95794fd4addab42e1495d55a%7C1%7C0%7C637753534530099485%7CUnk
> >>
> nown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1
> >>
> haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=nLsp4PZh3fxcrpocY2tvUnimKl8
> >> PvEeZLXbkmMIxj1I%3D&amp;reserved=0
> >
> > _______________________________________________
> > Spasm mailing list
> > [email-masked]
> >
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> >
> ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> ock
> >
> haus%40siemens.com%7Cbe1e11f5238d468bcf9008d9c17d8d9c%7C38ae3bcd
> 95794f
> >
> d4addab42e1495d55a%7C1%7C0%7C637753567875482343%7CUnknown%7C
> TWFpbGZsb3
> >
> d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3
> D%7
> >
> C3000&amp;sdata=Uxkty3HPt5FsRaSvBOo5X4Cywq9a1eIRu6vAhrJdFoo%3D&
> amp;res
> > erved=0

---

From: Russ Housley <[email-masked]>
Date: Mon, 10 Jan 2022 11:45:18 -0500

Awesome.  This is very helpful!

Russ

> On Jan 10, 2022, at 11:09 AM, Brockhaus, Hendrik <[email-masked]> wrote:
> 
> Russ
>

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 10 Jan 2022 17:19:21 +0000

>    Awesome.  This is very helpful!

I sent mail to Hendrik, but I guess I should have posted to the list.  This kind of thing is often a painful thankless task, so thanks!